libzmq5-4.2.2-2.5.2.x86_64.rpm


Advertisement

Description

libzmq5 - Shared Library for ZeroMQ

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Update Oss all
Package name libzmq5
Package version 4.2.2
Package release 2.5.2
Package architecture x86_64
Package type rpm
Installed size 590.45 KB
Download size 200.08 KB
Official Mirror ftp.gwdg.de
The ZeroMQ messaging kernel is a library extending the standard
socket interfaces with an abstraction of asynchronous message queues,
multiple messaging patterns, message filtering (subscriptions) and
seamless access to multiple transport protocols.
This package holds the shared library part of the ZeroMQ package.

Alternatives

Package Version Architecture Repository
libzmq5-4.2.2-1.1.x86_64.rpm 4.2.2 x86_64 openSUSE Oss
libzmq5 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.14)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpgm-5.2.so.0()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libsodium.so.18()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libunwind.so.8()(64bit) -

Provides

Name Value
libzmq.so.5()(64bit) -
libzmq5 = 4.2.2-2.5.2
libzmq5(x86-64) = 4.2.2-2.5.2

Download

Type URL
Binary Package libzmq5-4.2.2-2.5.2.x86_64.rpm
Source Package zeromq-4.2.2-2.5.2.src.rpm

Install Howto

Install libzmq5 rpm package:

# zypper install libzmq5

Files

Path
/usr/lib64/libzmq.so.5
/usr/lib64/libzmq.so.5.1.2
/usr/share/licenses/libzmq5/COPYING
/usr/share/licenses/libzmq5/COPYING.LESSER

Changelog

2018-07-17 - tchvatal@suse.com
- Disable pgm on Leap 42.3 i586 arch
2018-07-10 - dimstar@opensuse.org
- Add baselibs.conf: build libzmq5-32bit, as it is a required
dependency to libavfilter7-32bit (i.e ffmpeg 4).
2017-06-01 - adam.majer@suse.de
- remove_werror.patch: don't use -Werror in compiler flags
- disable silent compilation flags
2017-03-21 - adam.majer@suse.de
- New upstream version 4.2.2
* fix SO_NOSIGPIPE and connection closing by peer race condition
* fix IPv4-in-IPv6 mapped addresses parsing error
* zmq_z85_decode did validate its input. The function has been
fixed to correctly follow RFC32 and return NULL if the input is
invalid.
* for complete changelog see
https://github.com/zeromq/libzmq/releases/tag/v4.2.2
2017-02-03 - jengelh@inai.de
- Compact the descriptions.
2016-12-31 - adam.majer@suse.de
- New upstream version 4.2.1
* Bugfix release. For complete changelog see
https://github.com/zeromq/libzmq/releases/tag/v4.2.1
2016-11-05 - mvyskocil@opensuse.org
- New upstream version 4.2.0
* For Pieter. Thanks for making all of this possible.
* This release introduces new APIs, but it is ABI compatible with
libzmq 4.1.2 and up.
* Fixed alignment problem on arm and sparc, need to rebuild
against 4.2.0
* New Context option ZMQ_MAX_MSGSZ
* New Socket options:
- ZMQ_HANDSHAKE_IVL
- ZMQ_SOCKS_PROXY
- ZMQ_XPUB_NODROP
- ZMQ_BLOCKY
- ZMQ_XPUB_MANUAL
- ZMQ_XPUB_WELCOME_MSG
- ZMQ_STREAM_NOTIFY
- ZMQ_INVERT_MATCHING
- ZMQ_HEARTBEAT_IVL
- ZMQ_HEARTBEAT_TTL
- ZMQ_HEARTBEAT_TIMEOUT
....
* see NEWS for all changes
- Packaging
* add --with-libsodium to link against libsodium and not internal
tweetnacl
* remove disable-silent-rules
* add --enable-curve to build curve_keygen tool
https://github.com/zeromq/libzmq/pull/2195
* add libunwind to build dependencies
2016-06-29 - jengelh@inai.de
- Remove useless --with-pic, it's only for (non-built) static libs
2016-06-28 - dmueller@suse.com
- skip testsuite on qemu-linux-user
2016-06-17 - adam.majer@suse.de
- New upstream version 4.1.5
* Fixed #1806 - uninitialised read in curve getsockopt.
* Fixed #1807 - build broken with GCC 6.
* Fixed #1831 - potential assertion failure with latest libsodium.
* Fixed #1850 - detection issues with tweetnacl/libsodium.
* Fixed #1877 - Avoid terminating connections prematurely
* fixes some IPv6 related issues
- Removed 3ad076.patch, upstreamed

See Also

Package Description
libzstd-devel-1.3.3-2.1.x86_64.rpm Development files for the Zstd compression library
libzstd-devel-static-1.3.3-2.1.x86_64.rpm Development files for the Zstd compression library
libzstd1-1.3.3-2.1.x86_64.rpm Zstd compression library
libzypp-16.15.3-9.1.x86_64.rpm Package, Patch, Pattern, and Product Management
libzypp-16.15.6-12.1.x86_64.rpm Package, Patch, Pattern, and Product Management
libzypp-16.17.10-21.1.x86_64.rpm Package, Patch, Pattern, and Product Management
libzypp-16.17.12-24.1.x86_64.rpm Package, Patch, Pattern, and Product Management
libzypp-16.17.4-15.1.x86_64.rpm Package, Patch, Pattern, and Product Management
libzypp-16.17.7-18.1.x86_64.rpm Package, Patch, Pattern, and Product Management
libzypp-devel-16.15.3-9.1.x86_64.rpm Package, Patch, Pattern, and Product Management - developers files
libzypp-devel-16.15.6-12.1.x86_64.rpm Package, Patch, Pattern, and Product Management - developers files
libzypp-devel-16.17.10-21.1.x86_64.rpm Package, Patch, Pattern, and Product Management - developers files
libzypp-devel-16.17.12-24.1.x86_64.rpm Package, Patch, Pattern, and Product Management - developers files
libzypp-devel-16.17.4-15.1.x86_64.rpm Package, Patch, Pattern, and Product Management - developers files
libzypp-devel-16.17.7-18.1.x86_64.rpm Package, Patch, Pattern, and Product Management - developers files
Advertisement
Advertisement